Show / Hide Table of Contents

# Struct SocketVoiceState

Represents a WebSocket user's voice connection status.

##### Implements

IVoiceState

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public struct SocketVoiceState : IVoiceState

### Fields

| Improve this Doc View Source

#### Default

Initializes a default SocketVoiceState with everything set to `null` or `false`.

##### Declaration

    public static readonly SocketVoiceState Default

##### Field Value

Type | Description
--- | ---
SocketVoiceState |

### Properties

| Improve this Doc View Source

#### IsDeafened

##### Declaration

    public bool IsDeafened { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMuted

##### Declaration

    public bool IsMuted { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsSelfDeafened

##### Declaration

    public bool IsSelfDeafened { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsSelfMuted

##### Declaration

    public bool IsSelfMuted { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsStreaming

##### Declaration

    public bool IsStreaming { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsSuppressed

##### Declaration

    public bool IsSuppressed { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### VoiceChannel

Gets the voice channel that the user is currently in; or `null` if none.

##### Declaration

    public SocketVoiceChannel VoiceChannel { get; }

##### Property Value

Type | Description
--- | ---
SocketVoiceChannel |

| Improve this Doc View Source

#### VoiceSessionId

##### Declaration

    public string VoiceSessionId { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### ToString()

Gets the name of this voice channel.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | A string that resolves to name of this voice channel; otherwise "Unknown".

##### Overrides

System.ValueType.ToString()

### Explicit Interface Implementations

| Improve this Doc View Source

#### IVoiceState.VoiceChannel

##### Declaration

    IVoiceChannel IVoiceState.VoiceChannel { get; }

##### Returns

Type | Description
--- | ---
IVoiceChannel |

### Implements

IVoiceState